Skip to main content
GET
/
2025-01
/
retail-media
/
line-items
/
{externalLineItemId}
/
keywords
/
recommended
/2025-01/retail-media/line-items/{externalLineItemId}/keywords/recommended
curl --request GET \
  --url https://api.criteo.com/2025-01/retail-media/line-items/{externalLineItemId}/keywords/recommended \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "keywords": {},
      "recommendedKeywords": [
        "<string>"
      ]
    },
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

externalLineItemId
string
required

The line item identifier

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for a single value object.

data
object

A value resource exposed by the API.

errors
object[] | null
read-only

Errors that occured during this call.

warnings
object[] | null
read-only

Warnings that occured during this call.